### Method

# Gtk ListStore reorder

#### Declaration [src]

    void
    gtk_list_store_reorder (
      GtkListStore* store,
      int* new_order
    )

#### Description [src]

Reorders `store` to follow the order indicated by `new_order`. Note that this function only works with unsorted stores.

#### Parameters

`new_order` | An array of `int`
| An array of integers mapping the new position of each child to its old position before the re-ordering, i.e. `new_order``[newpos] = oldpos`. It must have exactly as many items as the list store’s length.
| The data is owned by the caller of the function.